gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r20483 - in gnunet-planetlab: . gnunet_automatic_deployment


From: gnunet
Subject: [GNUnet-SVN] r20483 - in gnunet-planetlab: . gnunet_automatic_deployment gnunet_automatic_deployment/automation_scripts gnunet_automatic_deployment/contrib
Date: Tue, 13 Mar 2012 19:14:56 +0100

Author: wachs
Date: 2012-03-13 19:14:56 +0100 (Tue, 13 Mar 2012)
New Revision: 20483

Added:
   gnunet-planetlab/gnunet_automatic_deployment/
   gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-certificate-install.sh
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-remove.sh
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/01_planetlab-dependencies.sh
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/02_planetlab-deps-from-source.sh
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/03_planetlab-extractor.sh
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/04_planetlab-libmicrohttpd.sh
   
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/05_planetlab-gnunet.sh
   gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/06_set_env.sh
   gnunet-planetlab/gnunet_automatic_deployment/contrib/
   gnunet-planetlab/gnunet_automatic_deployment/contrib/gnunet-svn-cert
   gnunet-planetlab/gnunet_automatic_deployment/deploy_gnunet.sh
Log:
 new planetlab deployment toolset


Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-certificate-install.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-certificate-install.sh
                         (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-certificate-install.sh
 2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,14 @@
+mkdir ~/.subversion
+mkdir ~/.subversion/auth
+mkdir ~/.subversion/auth/svn.ssl.server
+
+cp gnunet-svn-cert 
/home/tum_dht_testing/.subversion/auth/svn.ssl.server/2bd0c10624fe8b217987bb45f1ec55bf
+if [ $? = 0 ]
+then
+       echo " Installing gnunet.org certificate for subversion successful"
+       exit 0
+else
+       echo " Installing gnunet.org certificate for subversion failed"
+       rm -rf  ~/.subversion
+       exit 1
+fi


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-certificate-install.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-remove.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-remove.sh
                              (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-remove.sh
      2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,12 @@
+echo "Removing old dependencies"
+
+echo "  Removing old version of libgcrypt"
+sudo sudo rpm -e --nodeps libgcrypt 1> /dev/null
+
+echo "  Removing old version of libgpg-error-devel"
+sudo rpm -e libgpg-error-devel --nodeps
+
+echo "  Removing old version of libgpg-error "
+sudo rpm -e libgpg-error --nodeps 
+
+exit 0


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/00_planetlab-remove.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/01_planetlab-dependencies.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/01_planetlab-dependencies.sh
                                (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/01_planetlab-dependencies.sh
        2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,112 @@
+echo "Installing dependencies"
+log_file="01_log_file"
+
+rm log_file
+sudo yum -t --nogpgcheck install make -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing make successful"
+else
+echo " Instalation make failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gcc -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing gcc successful"
+else
+echo " Instalation gcc failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gcc-c++ -y 1>> $log_file
+
+if [ $? = 0 ]
+then
+echo " Installing gcc-c++ successful"
+else
+echo " Instalation gcc-c++ failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install autoconf automake -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing autoconf successful"
+else
+echo " Instalation autoconf failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gettext -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing gettext successful"
+else
+echo " Instalation gettext failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install zlib-devel -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing zlib-devel successful"
+else
+echo " Instalation zlib-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install texinfo -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing textinfo successful"
+else
+echo " Instalation textinfo failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gettext-devel -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing gettext-devel successful"
+else
+echo " Instalation gettext-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install sqlite-devel -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing sqlite-devel successful"
+else
+echo " Instalation sqlite-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gmp-devel -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing gmp-devel successful"
+else
+echo " Instalation gmp-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gmp-devel -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing gmp-devel successful"
+else
+echo " Instalation gmp-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install m4 -y 1>> $log_file
+if [ $? = 0 ]
+then
+echo " Installing m4 successful"
+else
+echo " Instalation m4 failed, exitting ..."
+exit 1
+fi


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/01_planetlab-dependencies.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/02_planetlab-deps-from-source.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/02_planetlab-deps-from-source.sh
                            (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/02_planetlab-deps-from-source.sh
    2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,491 @@
+#!/bin/sh
+
+
+# libtool
+#--------------------------
+
+function cleanup_libtool {
+rm -rf /tmp/libtool 1> /dev/null 2> /dev/null
+} 
+
+function install_libtool { 
+
+echo "Installing libtool"
+
+mkdir /tmp/libtool
+cd /tmp/libtool
+
+wget http://ftp.gnu.org/gnu/libtool/libtool-2.4.2.tar.gz 1> /dev/null 2> 
/dev/null 
+if [ $? = 0 ]
+then
+ echo " libtool: Download successful"
+else
+ echo " libtool: Download failed!"
+ cleanup_libtool
+ exit 1
+fi
+
+cd /tmp/libtool
+tar xfvz libtool-2.4.2.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+ echo " libtool: Unpacking successful"
+else
+ echo " libtool: Unpacking failed!"
+ cleanup_libtool
+exit 1
+fi
+
+cd libtool-2.4.2
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+ echo " libtool: Configure successful"
+else
+ echo " libtool: Configure failed!"
+ cleanup_libtool
+exit 1
+fi
+
+sudo make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libtool: make clean all successful"
+else
+echo " libtool: make libtool failed, exiting ..."
+ cleanup_libtool 
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libtool: make install successful"
+else
+echo " libtool: make install failed, exiting ..."
+ cleanup_libtool    
+exit 1
+fi
+}
+ 
+# libgcrypt & libgpgerror
+#--------------------------
+
+function cleanup_libgcrypt {
+rm -rf /tmp/libgcrypt
+}
+
+function install_libgcrypt {
+
+echo "Installing libgpgerror"
+cd /tmp/
+wget ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.8.tar.bz2 1> 
/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgpgerror: download successful"
+else
+echo " libgpgerror: download failed, exiting..."
+cleanup_libgcrypt
+exit 1
+fi
+
+tar -xjvf libgpg-error-1.8.tar.bz2 1> /dev/null 2> /dev/null
+cd libgpg-error-1.8
+if [ $? = 0 ]
+then
+echo " libgpgerror: extract successful"
+else
+echo " libgpgerror: extract failed, exiting..."
+cleanup_libgcrypt
+exit 1
+fi
+
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgpgerror: configure successful"
+else
+echo " libgpgerror: configure failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgpgerror: configure successful"
+else
+echo " libgpgerror: configure failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgpgerror: make install successful"
+else
+echo " libgpgerror: make install failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+cd ..
+
+echo "Installing libgcrypt"
+wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.5.0.tar.gz 1> /dev/null 
2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgcrypt: download successful"
+else
+echo " libgcrypt: download failed,  Exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+tar -zxvf libgcrypt-1.5.0.tar.gz 1> /dev/null 2> /dev/null
+cd libgcrypt-1.5.0
+if [ $? = 0 ]
+then
+echo " libgcrypt: extract successful"
+else
+echo " libgcrypt: extract failed,  Exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgcrypt: configure successful"
+else
+echo " libgcrypt: configuration failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgcrypt: make successful"
+else
+echo " libgcrypt: make failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " libgcrypt: make install successful"
+else
+echo " libgcrypt: make install failed, exiting ..."
+cleanup_libgcrypt 
+exit 1
+fi
+cd ..
+}
+
+# libcurl
+#--------------------------
+
+
+function cleanup_libcurl {
+rm -rf /tmp/libcurl
+}
+
+function install_libcurl {
+mkdir /tmp/libcurl
+cd /tmp/libcurl
+
+wget http://curl.haxx.se/download/curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libcurl: download successful"
+else
+  echo " libcurl: download failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+
+tar xvfz curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libcurl: unpack successful"
+else
+  echo " libcurl: unpack failed, exiting ..."
+  cleanup_libcurl
+ exit 1
+fi
+
+cd curl-7.23.1
+./configure --with-ssl 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libcurl: configure successful"
+else
+  echo " libcurl: configure failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+ 
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libcurl: make all successful"
+else
+  echo " libcurl: make all failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libcurl: make install successful"
+else
+  echo " libcurl: make install failed, exiting ..."
+  cleanup_libcurl
+  exit 1
+fi
+cd ..
+}
+
+# libnettle
+#-------------------------
+
+function cleanup_nettle {
+#      cd ..
+#      rm -rf nettle-2.4
+#      rm nettle-2.4.tar.gz 
+rm -rf /tmp/libnettle
+}
+
+
+function install_nettle {
+
+
+mkdir /tmp/libnettle
+cd /tmp/libnettle
+
+ wget http://www.lysator.liu.se/~nisse/archive/nettle-2.4.tar.gz 1> /dev/null 
2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle download successful"
+else
+  echo " Libnettle download failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+tar xvfz nettle-2.4.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle unpack successful"
+else
+  echo " Libnettle unpack failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+cd nettle-2.4
+
+./configure --enable-shared 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle configure successful"
+else
+  echo " Libnettle configure failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle make all successful"
+else
+  echo " Libnettle make all failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle sudo make install successful"
+else
+  echo " Libnettle sudo make install failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+cd ..
+}
+
+
+# gnutls
+#-------------------------
+
+function cleanup_gnutls {
+#      cd ..
+#      rm -rf gnutls-2.12.9
+#      rm gnutls-2.12.9.tar.gz 
+rm -rf /tmp/gnutls
+}
+
+
+function install_gnutls {
+       
+mkdir /tmp/gnutls
+cd /tmp/gnutls
+
+wget ftp://ftp.gnupg.org/gcrypt/gnutls/gnutls-2.12.9.tar.bz2 1> /dev/null 2> 
/dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls: download successful"
+else
+  echo " gnutls: download failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+tar -xjvf gnutls-2.12.9.tar.bz2 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls: download successful"
+else
+  echo "  gnutls: download failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+cd gnutls-2.12.9
+
+./configure --without-p11-kit   1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls: configure successful"
+else
+  echo " gnutls: configure failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls: make all successful"
+else
+  echo " gnutls: make all failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls: sudo make install successful"
+else
+  echo " gnutls: sudo make install failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+cd ..
+
+}
+
+function cleanup_libunistring {
+#      cd ..
+#      rm -rf gnutls-2.12.9
+#      rm gnutls-2.12.9.tar.gz 
+rm -rf /tmp/libunistring
+}
+
+
+function install_libunistring {
+       
+mkdir /tmp/libunistring
+cd /tmp/libunistring
+
+
+wget http://ftp.gnu.org/gnu/libunistring/libunistring-0.9.3.tar.gz 1> 
/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring: download successful"
+else
+  echo " libunistring: download failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+tar xvfz libunistring-0.9.3.tar.gz 1>/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring: download successful"
+else
+  echo " libunistring: download failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+cd libunistring-0.9.3
+./configure  1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring: configure successful"
+else
+  echo " libunistring: configure failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring: make all successful"
+else
+  echo " libunistring: make all failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring: sudo make install successful"
+else
+  echo " libunistring: sudo make install failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+cd ..
+}
+
+echo "Installing dependencies from source"
+
+# Installing libtool
+echo "Installing libtool from source"
+install_libtool
+cleanup_libtool
+
+#echo "INSTALLING libcrypt"
+echo "Installing libcrypt from source"
+install_libgcrypt
+cleanup_libgcrypt
+
+#echo "INSTALLING libcurl"
+echo "Installing libcurl from source"
+install_libcurl
+cleanup_libcurl
+
+#echo "INSTALLING libnettle"
+echo "Installing libnettle from source"
+install_nettle
+cleanup_nettle
+
+#echo "INSTALLING gnutls"
+echo "Installing gnutls from source"
+install_gnutls
+cleanup_gnutls
+
+#echo "INSTALLING libunistring"
+echo "Installing libunistring from source"
+install_libunistring
+cleanup_libunistring


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/02_planetlab-deps-from-source.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/03_planetlab-extractor.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/03_planetlab-extractor.sh
                           (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/03_planetlab-extractor.sh
   2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+echo "Installing libextractor"
+sudo rm -rf /tmp/Extractor
+svn checkout https://gnunet.org/svn/Extractor /tmp/Extractor 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libextractor: checkout successful"
+else
+echo " libextractor: checkout failed, exiting ..."
+exit 1
+fi
+
+cd /tmp/Extractor
+./bootstrap 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libextractor: bootstrap successful"
+else
+echo " libextractor: bootstrap failed, exiting ..."
+exit 1
+fi
+
+./configure 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libextractor: configure successful"
+else
+echo " libextractor: configure failed, exiting ..."
+exit 1
+fi
+
+sudo make clean all 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libextractor: make successful"
+else
+echo " libextractor: make failed, exiting ..."
+exit 1
+fi
+
+sudo  make install 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libextractor: make install successful"
+else
+echo " libextractor: make install failed, exiting ..."
+exit 1
+fi
+
+cd ..
+exit 0


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/03_planetlab-extractor.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/04_planetlab-libmicrohttpd.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/04_planetlab-libmicrohttpd.sh
                               (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/04_planetlab-libmicrohttpd.sh
       2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,54 @@
+echo "Installing libmicrohttpd"
+
+
+sudo rm -rf /tmp/libmicrohttpd
+svn co https://gnunet.org/svn/libmicrohttpd /tmp/libmicrohttpd 1> /dev/null
+cd /tmp/libmicrohttpd
+if [ $? = 0 ]
+then
+echo " libmicrohttpd: successful"
+else
+echo " libmicrohttpd:failed, exiting ..."
+exit 1
+fi
+
+./bootstrap 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libmicrohttpd: Bootstrap libmicrohttpd successful"
+else
+echo " libmicrohttpd: Bootstrap libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+ ./configure --with-gnutls=/usr/local --enable-messages --enable-curl 1> 
/dev/null
+if [ $? = 0 ]
+then
+echo " libmicrohttpd: Configure libmicrohttpd successful"
+else
+echo " libmicrohttpd: Configure libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+
+sudo make clean all 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libmicrohttpd: make libmicrohttpd successful"
+else
+echo " libmicrohttpd:  make libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+sudo make install 1> /dev/null
+if [ $? = 0 ]
+then
+echo " libmicrohttpd: make install successful"
+else
+echo " libmicrohttpd: make install failed, exiting ..."
+exit 1
+fi
+
+cd /tmp
+sudo rm -rf /tmp/libmicrohttpd
+exit 0


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/04_planetlab-libmicrohttpd.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/05_planetlab-gnunet.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/05_planetlab-gnunet.sh
                              (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/05_planetlab-gnunet.sh
      2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,50 @@
+#!/bin/sh
+echo "Installing GNUnet"
+svn checkout https://gnunet.org/svn/gnunet/ /home/tum_dht_testing/gnunet 1> 
/dev/null
+cd /home/tum_dht_testing/gnunet
+svn up
+if [ $? = 0 ]
+then
+echo " GNUnet: svn checkout successful"
+else
+echo " GNUnet: svn checkout failed, exiting ..."
+exit 1
+fi
+
+./bootstrap 1> /dev/null
+if [ $? = 0 ]
+then
+echo " GNUnet: bootstrap successful"
+else
+echo " GNUnet: bootstrap failed, exiting ..."
+exit 1
+fi
+
+
+./configure --prefix=$HOME/gnbuild --with-extractor=/usr/local 
--enable-logging=verbose 1> /dev/null
+if [ $? = 0 ]
+then
+echo " GNUnet: configure successful"
+else
+echo " GNUnet: configure failed, exiting ..."
+exit 1
+fi
+
+
+make clean all 1> /dev/null
+if [ $? = 0 ]
+then
+echo " GNUnet: make clean all successful"
+else
+echo " GNUnet: make clean all failed, exiting ..."
+exit 1
+fi
+
+make install 1> /dev/null
+if [ $? = 0 ]
+then
+echo " GNUnet: make install successful"
+else
+echo " GNUnet: make install failed, exiting ..."
+exit 1
+fi


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/05_planetlab-gnunet.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/06_set_env.sh
===================================================================
--- 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/06_set_env.sh   
                            (rev 0)
+++ 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/06_set_env.sh   
    2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,10 @@
+#!/bin/sh
+export GNUNET_PREFIX=$HOME/gnbuild
+export PATH=$PATH:$HOME/gnbuild/bin
+
+echo -e "export GNUNET_PREFIX=/home/tum_dht_testing/gnbuild \n" >> ~/.bashrc
+echo -e "export PATH=$PATH:$GNUNET_PREFIX/bin \n" >> ~/.bashrc
+
+mkdir /home/tum_dht_testing/.gnunet
+touch /home/tum_dht_testing/.gnunet/gnunet.conf
+ 


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/automation_scripts/06_set_env.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/gnunet_automatic_deployment/contrib/gnunet-svn-cert
===================================================================
--- gnunet-planetlab/gnunet_automatic_deployment/contrib/gnunet-svn-cert        
                        (rev 0)
+++ gnunet-planetlab/gnunet_automatic_deployment/contrib/gnunet-svn-cert        
2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,13 @@
+K 10
+ascii_cert
+V 1848
+MIIFZjCCBE6gAwIBAgIED/fi8DANBgkqhkiG9w0BAQUFADBgMQswCQYDVQQGEwJERTEpMCcGA1UEChMgVGVjaG5pc2NoZSBVbml2ZXJzaXRhZXQgTXVlbmNoZW4xJjAkBgNVBAMTHVplcnRpZml6aWVydW5nc3N0ZWxsZSBkZXIgVFVNMB4XDTEwMDQyODE2NDIwOFoXDTEyMDYwMTA0MDAwMFowgbgxCzAJBgNVBAYTAkRFMQ8wDQYDVQQIEwZCYXllcm4xETAPBgNVBAcTCE11ZW5jaGVuMSkwJwYDVQQKEyBUZWNobmlzY2hlIFVuaXZlcnNpdGFldCBNdWVuY2hlbjEiMCAGA1UECxMZRmFrdWx0YWV0IGZ1ZXIgSW5mb3JtYXRpazETMBEGA1UEAxMKZ251bmV0Lm9yZzEhMB8GCSqGSIb3DQEJARYSZ3JvdGhvZmZAaW4udHVtLmRlMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1zQW4P9PcTMj0Tlg4W0siAoAwUSAGAgfBy0rXUXr/xZBnfpVUlE0y0J8C7943DmtIs4EnrivbOvq1C/FZAH3Eow0jnky4qua28AKJ89pkYoLgA/zyBAgpDnf5ysx2Cw04NOHSqa3FH3EYgAYbXVaY97TU8AfKaKeAeIiP+9IQs4ZEmPJPWJP8lz+BmoVcAG53wuPPpVJAdRQuVHx+jRFwCRZ9vRNaS9fHHc256LAcUvGOagZvtzLS54H051Uza0pMWfo/aA8mhWGmQsWIxCbvmJchrduBAVr/D2x6bMFHwlLqbexzIc0ywjDoSkuXABKHxJJaq9XvbUTcSbgt7hN3wIDAQABo4IBzTCCAckwCQYDVR0TBAIwADALBgNVHQ8EBAMCBPAwEwYDVR0lBAwwCgYIKwYBBQUHAwEwHQYDVR0OBBYEFGd+wJOkEGHurW2021+nq/z8JUgqMB8GA1UdIwQYMBaAF
 
J2fI/AZG37HI10nKsylNjqmaeWJMEwGA1UdEQRFMEOCDW5nLmdudW5ldC5vcmeCFnRyaXB3aXJlLm5ldC5pbi50dW0uZGWCDnd3dy5nbnVuZXQub3JnggpnbnVuZXQub3JnMHcGA1UdHwRwMG4wNaAzoDGGL2h0dHA6Ly9jZHAxLnBjYS5kZm4uZGUvdHVtLWNhL3B1Yi9jcmwvY2FjcmwuY3JsMDWgM6Axhi9odHRwOi8vY2RwMi5wY2EuZGZuLmRlL3R1bS1jYS9wdWIvY3JsL2NhY3JsLmNybDCBkgYIKwYBBQUHAQEEgYUwgYIwPwYIKwYBBQUHMAKGM2h0dHA6Ly9jZHAxLnBjYS5kZm4uZGUvdHVtLWNhL3B1Yi9jYWNlcnQvY2FjZXJ0LmNydDA/BggrBgEFBQcwAoYzaHR0cDovL2NkcDIucGNhLmRmbi5kZS90dW0tY2EvcHViL2NhY2VydC9jYWNlcnQuY3J0MA0GCSqGSIb3DQEBBQUAA4IBAQCPtZW/UA50dYU1dt7InAr1lsjxKEF4Re/x6Bu80yQWe3QDnR0fkf52VHUDyCEqegqJJVR6vJ1G+JUq6uyVS7+Z7SWBDgzi61rF9VrOebBeqblDtuh6BjMAC2osJiZYFF1+Fmz3A/PnpodcKa0kj/TAWeEjB8Sc3mE3pe2ZuMm319OkvNjvm48+vDE17u/UDaJWACu1Dm1WZzB7V4O2QVrXGJ15bISg8NOOLFjJRyePpVjO/09phj1YP8OMmWQuZUbAEp/8QVphfThCRRhP8UQZMdK5NQRbt6aOxVPnJtqiQl/xO0o8lxjNq+ZgSctzTNWm2dnfAcy9YIF9qqDKU2iu
+K 8
+failures
+V 1
+8
+K 15
+svn:realmstring
+V 22
+https://gnunet.org:443
+END


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/contrib/gnunet-svn-cert
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/gnunet_automatic_deployment/deploy_gnunet.sh
===================================================================
--- gnunet-planetlab/gnunet_automatic_deployment/deploy_gnunet.sh               
                (rev 0)
+++ gnunet-planetlab/gnunet_automatic_deployment/deploy_gnunet.sh       
2012-03-13 18:14:56 UTC (rev 20483)
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+nodes_file="nodes.txt"
+working_nodes_file="./tmp/working_nodes.txt"
+working_nodes_filtered_file="./tmp/working_nodes_filtered.txt"
+parallelism=10
+timeout=900
+
+cmd_pssh="pssh -O StrictHostKeychecking=no -t $timeout -p $parallelism -v -l 
tum_dht_testing -h $working_nodes_filtered_file -P "
+cmd_pscp="pscp -O StrictHostKeychecking=no -p $parallelism -v -l 
tum_dht_testing -h $working_nodes_filtered_file "
+
+deployment_dir="/home/tum_dht_testing/deploy"
+
+#rm -rf tmp
+echo "Prepare distribution tarball"
+mkdir tmp 2> /dev/null
+mkdir tmp/deploy 2> /dev/null
+cp automation_scripts/* tmp/deploy
+cp contrib/* tmp/deploy
+cd tmp; tar czf deploy.tar.gz deploy/*
+if [ $? -ne 0 ];
+then
+       echo "Failed to build tarbal"
+       exit 1;
+fi
+cd ..
+
+
+echo "Determenining working nodes ..."
+pssh -O StrictHostKeychecking=no -p 10 -t 20 -v -l tum_dht_testing -h 
$nodes_file -P sudo date > $working_nodes_file
+grep SUCCESS $working_nodes_file | awk '{print $4}' > 
$working_nodes_filtered_file
+count_working=`cat $working_nodes_filtered_file | wc -l`
+count_total=`cat $nodes_file | wc -l`
+echo "Found $count_working working nodes out of $count_total"
+
+
+
+echo "Cleaning up nodes"
+echo "Cleaning up nodes" >> planetlab-automation.log
+$cmd_pssh "sudo rm -rf /home/tum_dht_testing/deploy"
+# >> planetlab-automation.log
+
+echo "Copying tarball to nodes"
+echo "Copying tarball to nodes" >> planetlab-automation.log
+$cmd_pscp tmp/deploy.tar.gz /home/tum_dht_testing
+# >> planetlab-automation.log
+
+
+echo "Unpacking tarball on nodes"
+echo "Unpacking tarball on nodes" >> planetlab-automation.log
+$cmd_pssh tar xvfz deploy.tar.gz deploy
+# >> planetlab-automation.log
+
+echo "Installing gnunet.org svn certificate"
+echo "Installing gnunet.org svn certificate" >> planetlab-automation.log
+$cmd_pssh "cd deploy; ./00_planetlab-certificate-install.sh"
+
+echo "Removing not matching libraries"
+$cmd_pssh "cd deploy; ./00_planetlab-remove.sh;"
+# >> planetlab-automation.log
+
+echo "Installing subversion on nodes"
+echo "Installing subversion on nodes" >> planetlab-automation.log
+$cmd_pssh sudo yum -t --nogpgcheck install svn -y >> planetlab-automation.log
+
+echo "Installing dependencies"
+$cmd_pssh  "cd deploy; ./01_planetlab-dependencies.sh;" 
+#>> planetlab-automation.log
+
+echo "Installing dependencies from source"
+$cmd_pssh  "cd deploy; ./02_planetlab-deps-from-source.sh;" 
+#>> planetlab-automation.log
+
+echo "Installing libextractor"
+$cmd_pssh  "cd deploy; ./03_planetlab-extractor.sh;" 
+#>> planetlab-automation.log
+
+echo "Installing libmicrohttpd"
+$cmd_pssh  "cd deploy; ./04_planetlab-libmicrohttpd.sh;" 
+#>> planetlab-automation.log
+echo "Installing gnunet"
+
+$cmd_pssh  "cd deploy; ./05_planetlab-gnunet.sh;" 
+#>> planetlab-automation.log
+
+echo "Setting the environment"
+$cmd_pssh  "cd deploy; ./06_set_env.sh;" 
+#>> planetlab-automation.log
+
+exit 0
+
+#echo "Installing Buildslave ..."
+#pssh $var_pssh_time cp ./gnunet-planetlab/doc/buildslave_installation.notes 
./buildslave_installation.sh >> planetlab-automation.log
+#pssh $var_pssh -P sudo killall -9 buildslave >> planetlab-automation.log
+#pssh $var_pssh . ./buildslave_installation.sh >> planetlab-automation.log
+#echo "setting configuration"
+#pssh $var_pssh mkdir /home/tum_dht_testing/.gnunet/ >> 
planetlab-automation.log
+#pssh $var_pssh touch /home/tum_dht_testing/.gnunet/gnunet.conf >> 
planetlab-automation.log
+#pssh $var_pssh mkdir /home/tum_dht_testing/gnbuild/ >> 
planetlab-automation.log
+#pssh $var_pssh mkdir /home/tum_dht_testing/gnbuild/bin/ >> 
planetlab-automation.log
+
+#var=`cat nodes.txt`
+#for i in $var; do
+#ssh address@hidden  sudo rm -rf ./$i/ >> planetlab-automation.log
+#scp $i.sh address@hidden:. >> planetlab-automation.log
+#ssh address@hidden . ./$i.sh >> planetlab-automation.log
+#echo "Starting buildslave on $i" >> planetlab-automation.log
+#done
+
+# Clean up
+#rm -rf ./tmp/*


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/deploy_gnunet.sh
___________________________________________________________________
Added: svn:executable
   + *




reply via email to

[Prev in Thread] Current Thread [Next in Thread]